Subject: [sup-talk] unread status

From: Philipp Überbacher <[email-masked]>
Date: Tue, 29 Dec 2009 14:45:38 +0100

Hi,
during the last couple of days I managed to get sup up and running,
using ruby 1.8.7, xapian, msmtp and offlineimap.

Now that I use it I noticed strange behavior regarding unread messages.
It works like this:

New messages in the inbox, I read through them, hitting 'a'.
The messages vanish from the Inbox. So far so good.

I hit 'L' 'Enter' and notice that all messages I just read are listed as
unread. I navigate to unread, read the messages again and hit 'a'. Now
they aren't marked as unread anymore.

Also, when I read them in the inbox and they are still labeled unread
and I restart sup they aren't labeled unread anymore.

Well, expected behavior is to have them labeled read after I read them,
obviously.

I experienced something similar when I used the built-in imap support.
There it wouldn't really Poll when I hit P, new messages only showed up
after I restarted sup.

Either these are bugs or I don't get how sup works,
either way, help is appreciated.

Regards,
Philipp

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk